Subject: bug#36868: closed (Re: bug#36868: [PATCH] etc: completion: remove package list when using completion on guix system build)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 20 Jun 2021 21:11:02 +0000

Your bug report

#36868: guix system build autocompletes with package list

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36868: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36868
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36868: [PATCH] etc: completion: remove package list when using completion on guix system build
From: Ludovic Courtès <[email-masked]>
To: Solene Rapenne <[email-masked]>
Cc: [email-masked]
Date: Sun, 20 Jun 2021 23:10:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Solene Rapenne <[email-masked]> skribis:

> the file has been reworked in commits
>
> - dc3ba8c83602d69294e21d1b0c066f0d89890b56
> - 80a17aae7991c6df061a98bb71734485f4ca17e2
>
> now the code is entirely different and works as expected.

Heh, looks like Tobias & you felt the need to address this annoyance at
the same time.  :-)

> IIRC when I worked on this piece of code, _guix_is_command "foobar" was
> looking for foobar in all words of the command. So you could have
> _guix_is_command returning true for "build" and "system" at the same
> time when using "guix system build".

Ah OK.

Anyway, glad that it’s fixed now; thank you!

Ludo’.

Subject: guix system build autocompletes with package list
From: Jesse Gibbons <[email-masked]>
To: [email-masked]
Date: Tue, 30 Jul 2019 20:44:41 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

In bash, when I type "guix system build" and press tab to autocomplete,
I get a list of packages. I would expect it to list scheme source files
like the "guix system {container,disk-image,docker-image,extension-graph,init,reconfigure,shepherd-graph,vm,vm-image}" autocompletes.